Name:		qubes-manager
Version:	4.2.2
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
%if 0%{?fedora} >= 34
Requires:	python%{python3_pkgversion}-qt5
%else
Requires:	python%{python3_pkgversion}-PyQt5
%endif
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.18
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	make
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/global_settings.css
%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Sat Feb 18 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ef8bd4
- version 4.2.2-1

* Fri Feb 17 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 53da678
- Make available/selected apps in settings clearer

* Fri Feb 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09a2264
- version 4.2.1-1

* Wed Feb 15 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c76965d
- Fix tests for python 3.11

* Tue Feb 14 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 325a9e6
- Fix log_dialog

* Mon Feb 13 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 994b04e
- Enforce using int sizes in global settings

* Thu Feb 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 91d21fb
- Pylint version update

* Thu Feb 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4b712e9
- Add minimize/maximize buttons to manager tools

* Thu Feb 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - ae5d2fb
- Fix detecting if widget was changed in VM settings

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bafa70f
- version 4.2.0-1

* Wed Jan 04 2023 Maja Kądziołka <maya@invisiblethingslab.com> - c2bd5eb
- Warn about metadata leaks in backups

* Sun Dec 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c63e325
- version 4.1.28-1

* Sat Dec 17 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c652a72
- Fix tests for kernel settings

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0031890
- version 4.1.27-1

* Fri Dec 16 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a3cf319
- Remove menu positions from old menu

* Thu Dec 08 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - a89f0fa
- Rip out DOCTYPE declarations

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - dfa608e
- Correctly interact with QSettings

* Tue Dec 06 2022 Rusty Bird <rustybird@net-c.com> - 06cf356
- global_settings: expose tint+border configurations

* Mon Dec 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e92a307
- version 4.1.26-1

* Mon Dec 05 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3f1adb2
- Fix sorting by icons in Qube Manager

* Mon Dec 05 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6ab9dba
- Add explanation why you can't use vm settings with AdminVMs

* Tue Nov 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 942fe6a
- typo fix

* Fri Nov 18 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c3c613e
- Make show password buttons in backup gui toggleable

* Sat Nov 12 2022 Maja Kądziołka <maya@invisiblethingslab.com> - 214039f
- Use a more intuitive tab order

* Sat Nov 12 2022 Maja Kądziołka <maya@invisiblethingslab.com> - 27ae47f
- Allow saving backup settings without passphrase

* Fri Nov 11 2022 Maja Kądziołka <maya@invisiblethingslab.com> - b21566e
- Consistent checkbox placement

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b171a1f
- Make "Copy to global clipboard" selection-aware in log browser

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 449d24d
- Fix sorting for Backup column

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2d42a48
- Fix VM sorting order in Qube Manager if Sorting by State

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 52b507c
- Fix display of kernels for Qube Settings

* Mon Aug 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56ea241
- version 4.1.25-1

* Wed Jul 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8deab79
- tests: adjust expected update() call counts

* Wed Jul 20 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c527d0
- version 4.1.24-1

* Sun Jul 10 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 698e14a
- make pylint happy

* Mon Jun 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f85661
- tests: add more details to failure message

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fcb270e
- .qubesbuilder: replace 'spec' by 'build'

* Thu May 05 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a8865db
- Add class to VM list in Backup widget

* Thu May 05 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 267340f
- Refresh VM state at connection established in manager

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 344ae0f
- about: get qubes release in a VM too

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - db07384
- Fix issues found by pylint

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e484447
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ae92a91
- Drop Travis CI

* Sat Apr 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f2bafb
- Fix issues found by pylint

* Sat Apr 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c54ef6a
- wrap long lines

* Wed Mar 30 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - eda64d8
- Restore Ctrl+F shortcut for Manager

* Wed Mar 30 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a68959f
- Fix missing error catch

* Tue Mar 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d787b30
- Fix loading menu and toolbar state from settings

* Tue Mar 01 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 94f0e9a
- version 4.1.23-1

* Mon Feb 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f5407d
- tests: drop remaining parts of DSA-4371 workaround

* Sat Feb 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd6d55e
- Relax check on repository qrexec call

